Seed prompt features in bulk
POST
/api/v1/prompt-features/seed
const url = 'https://example.com/api/v1/prompt-features/seed?projectId=00000000-0000-0000-0000-000000000000';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"features":[{"id":"example","prompt":"example","type":"select"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://example.com/api/v1/prompt-features/seed?projectId=00000000-0000-0000-0000-000000000000' \ --header 'Content-Type: application/json' \ --data '{ "features": [ { "id": "example", "prompt": "example", "type": "select" } ] }'Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” projectId
required
Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.
string
Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.
Request Body
Section titled “Request Body ” Media type application/json
object
features
required
Array<object>
object
id
required
string
prompt
required
string
type
string
Responses
Section titled “ Responses ”Success
Media type application/json
object
seeded
required
number
errors
required
Array<string>